(function (lib, img, cjs) {

var p; // shortcut to reference prototypes
var rect; // used to reference frame bounds

// library properties:
lib.properties = {
	width: 1448,
	height: 936,
	fps: 30,
	color: "#FFFFFF",
	manifest: [
		{src:"images/Bitmap1.png", id:"Bitmap1"},
		{src:"images/Bitmap10.png", id:"Bitmap10"},
		{src:"images/Bitmap2.png", id:"Bitmap2"},
		{src:"images/Bitmap3.png", id:"Bitmap3"},
		{src:"images/Bitmap4.png", id:"Bitmap4"},
		{src:"images/Bitmap5.png", id:"Bitmap5"},
		{src:"images/Bitmap6.png", id:"Bitmap6"},
		{src:"images/Bitmap7.png", id:"Bitmap7"},
		{src:"images/Bitmap8.png", id:"Bitmap8"},
		{src:"images/Bitmap9.png", id:"Bitmap9"}
	]
};

// stage content:
(lib.index = function() {
	this.initialize();

	// exercise
	this.container = new lib.exerciseContainer();
	this.container.setTransform(916.5,389,1,1,0,0,0,916.5,389);

	this.addChild(this.container);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(724,468,1448.6,936);
p.frameBounds = [rect];


// symbols:
(lib.Bitmap1 = function() {
	this.initialize(img.Bitmap1);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,1140,936);


(lib.Bitmap10 = function() {
	this.initialize(img.Bitmap10);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,329,348);


(lib.Bitmap2 = function() {
	this.initialize(img.Bitmap2);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,224,103);


(lib.Bitmap3 = function() {
	this.initialize(img.Bitmap3);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,76,123);


(lib.Bitmap4 = function() {
	this.initialize(img.Bitmap4);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,85,167);


(lib.Bitmap5 = function() {
	this.initialize(img.Bitmap5);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,170,86);


(lib.Bitmap6 = function() {
	this.initialize(img.Bitmap6);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,176,116);


(lib.Bitmap7 = function() {
	this.initialize(img.Bitmap7);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,190,148);


(lib.Bitmap8 = function() {
	this.initialize(img.Bitmap8);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,69,67);


(lib.Bitmap9 = function() {
	this.initialize(img.Bitmap9);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,196,241);


(lib.drop = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap10();

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,329,348);
p.frameBounds = [rect];


(lib.drag_8 = function() {
	this.initialize();

	// Layer 1
	this.shape = new cjs.Shape();
	this.shape.graphics.f("#FF8409").s().p("AmCAXIACAAIBugEQA2gBA1AAQA7gDA7gEQA0gFAygJQAUgFAUADQASADgMAGQAkgCAkgGIBKgPQANgCAMAEQAJACgEAGQgHAKgQAIQAygDAsgMQAXgIANgOQAFAJAAAKQAAAJgNANIgLAKQlhAGi6AAQi8AAgWgGg");
	this.shape.setTransform(-31.6,19.4,1.122,1);

	this.shape_1 = new cjs.Shape();
	this.shape_1.graphics.f("#FF9933").s().p("AkqANQAGgGgFgGQgWgRgmgIIgEgCIACgEIACgBIACgBIAHgDID8gIQBkgBBmgEICeAAQBRAAAlAsIACADQgNAMgXAHQgtAPgyADQAQgIAIgNQADgFgJgDQgLgDgOACIhKAPQgjAIglACQAMgJgRgCQgVgDgUAFQgyALgzAEQg7AFg7ACQg2AAg1ACIhvADQA1gKAggag");
	this.shape_1.setTransform(-31.8,16.8,1.122,1);

	this.shape_2 = new cjs.Shape();
	this.shape_2.graphics.f("#CCCCCC").s().p("AkBAnIgTgVIAAgDQAAgPAJgDQAIgEAfgCQBxgIBxgYICVAAQBQABAlAoQAHAIAGAKIlSgCQgbAGhqANIg6AHIgFgDg");
	this.shape_2.setTransform(-77.2,14.2,0.545,0.297);

	this.shape_3 = new cjs.Shape();
	this.shape_3.graphics.f("#FFFFFF").s().p("AkiBrQAagYAfg0QAggxAAgRQAAgdgjgZIgKgIIA6gHQBqgNAbgGIFSACQAMAVAAAbQAAAUgKAcIgVAwIgBABQATgBAKALQAIAIAAAIQAAAJgTADQgbAEgZAXIgPATQgIAJgJAEQmmgNgtAMQgPAEgHAAQgPAAARgRg");
	this.shape_3.setTransform(-77.5,18.4,0.545,0.297);

	this.shape_4 = new cjs.Shape();
	this.shape_4.graphics.f("#00B8F4").s().p("AkqANQAGgGgFgGQgWgRgmgIIgEgCIACgEIACgBIACgBIAHgDID8gIQBkgBBmgEICeAAQBRAAAlAsIACADQgNAMgXAHQgtAPgyADQAQgIAIgNQADgFgJgDQgLgDgOACIhKAPQgjAIglACQAMgJgRgCQgVgDgUAFQgyALgzAEQg7AFg7ACQg2AAg1ACIhvADQA1gKAggag");
	this.shape_4.setTransform(-40.4,25.8,1.122,1);

	this.shape_5 = new cjs.Shape();
	this.shape_5.graphics.f("#0099CC").s().p("AmCAXIACAAIBugEQA2gBA1AAQA7gDA7gEQA0gFAygJQAUgFAUADQASADgMAGQAkgCAkgGIBKgPQANgCAMAEQAJACgEAGQgHAKgQAIQAygDAsgMQAXgIANgOQAFAJAAAKQAAAJgNANIgLAKQlhAGi6AAQi8AAgWgGg");
	this.shape_5.setTransform(-40.2,28.4,1.122,1);

	this.shape_6 = new cjs.Shape();
	this.shape_6.graphics.f("#CCCCCC").s().p("AkBAnIgTgVIAAgDQAAgPAJgDQAIgEAfgCQBxgIBxgYICVAAQBQABAlAoQAHAIAGAKIlSgCQgbAGhqANIg6AHIgFgDg");
	this.shape_6.setTransform(-85.8,23.2,0.545,0.297);

	this.shape_7 = new cjs.Shape();
	this.shape_7.graphics.f("#FFFFFF").s().p("AkiBrQAagYAfg0QAggxAAgRQAAgdgjgZIgKgIIA6gHQBqgNAbgGIFSACQAMAVAAAbQAAAUgKAcIgVAwIgBABQATgBAKALQAIAIAAAIQAAAJgTADQgbAEgZAXIgPATQgIAJgJAEQmmgNgtAMQgPAEgHAAQgPAAARgRg");
	this.shape_7.setTransform(-86.1,27.4,0.545,0.297);

	this.shape_8 = new cjs.Shape();
	this.shape_8.graphics.f("#20FFC8").s().p("ADNAzQAGgDAIgIQAHgIAAgEQAAAAAAgBQAAAAAAgBQgBgBAAAAQAAAAgBgBQgEgEgNAAQgFAAgeAHIgjAIQgNACg6AFIg/AFIhdAAIgQgBIgQgBIilAAIgEABIhbABIAlgOQAQgGAAgsQgFgYgZgJIADgBIK6AAQANAHAKAKQAQAQACARIgFAHQgKAPgkAMQgvAOhSAFg");
	this.shape_8.setTransform(-24.9,35.6,1.122,1);

	this.shape_9 = new cjs.Shape();
	this.shape_9.graphics.f("#00CC99").s().p("ADQAbQBSgFAvgOQAkgKAKgPIAFgJIABAKQABALgNAQQgHAKgIAGgAmFAbQAAgBAMgEIBbgBIAEgBIClAAIAQABIAQABIBdAAIA/gFQA6gFANgCIAjgIQAegFAFAAQANAAAEADQABAAAAAAQAAAAABABQAAABAAAAQAAABAAAAQAAAEgHAIQgIAIgGADIgCABg");
	this.shape_9.setTransform(-25.5,38.1,1.122,1);

	this.shape_10 = new cjs.Shape();
	this.shape_10.graphics.f("#CCCCCC").s().p("AkBAnIgTgVIAAgDQAAgPAJgDQAIgEAfgCQBxgIBxgYICVAAQBQABAlAoQAHAIAGAKIlSgCQgbAGhqANIg6AHIgFgDg");
	this.shape_10.setTransform(-74.3,32.5,1.122,0.297);

	this.shape_11 = new cjs.Shape();
	this.shape_11.graphics.f("#FFFFFF").s().p("AkFBtQAdgfAKg1QALgzgJgVQgIgVgigZIgLgIIA7gHQBqgNAagGIFSACQANAVAAAbQAAAUgLAcIgUAwIgBABQASgBALALQAHAIAAAIQAAAJgSADQgbAEgZAXIgPATQgNAOgOABIjuAAQhUAJgvAAQhGAAARgTg");
	this.shape_11.setTransform(-72,36.8,1.122,0.297);

	this.shape_12 = new cjs.Shape();
	this.shape_12.graphics.f("#0066CC").s().p("Al3gIQAAgIgQgJIBAABIAgABIAgABIBFAAIAFABICJABIAaABIAaABIFYABIBTAAIADAHQABAGAAAFQAAAEgCAFQABAAAAABQAAAAAAAAQAAAAAAAAQgBAAAAABIgZAEQggAFhCABIiQAAIgFABIlKAAIgJgBIiJAAIg1AEIg6AAQA3gTAAgPg");
	this.shape_12.setTransform(-36.6,45.8,1.122,1);

	this.shape_13 = new cjs.Shape();
	this.shape_13.graphics.f("#006699").s().p("ACPBBIgJAAIgQgBIgDAAIgVgCQgrgDhHgCIhGAAIgdABIgiABIh0gBIgOgBIgOgBIgZADIgiAFIhaAAQgJAAgCgDQgBgCgBgDQAAgCA6gQIACgBIA5AAIA1gFICKAAIAIACIFKgBIAGgBICQAAQBCAAAggFIAYgFQgDAIgJAKIgCACIgBACIgBABIgBABIgBAAQgNAOgPAEIhlAAIgTABIgiAAIgFAAgAF3gGIlZgBIgbgBIgYgCIiJAAIgGgBIhEgBIgggBIggAAIhAgBIgCgBIgXgKQgogLAAgDIAAgCIADgCQADgDALgDIBHgBIBHgEQAxgEAiAAIC/gDIApgBIBPgCIAAgBIC7AAQAgABAZAFIACABIAjAKIAMAGIACABIABAAIAFAEIADACIAHAFIAJAJQAGAHADAIIhSAAg");
	this.shape_13.setTransform(-40,44.7,1.122,1);

	this.shape_14 = new cjs.Shape();
	this.shape_14.graphics.f("#993300").s().p("Ah9AAIgWAAIACAAIAQAAIAKAAgAAvAAIBlAAIgDAAIh1AAIATAAg");
	this.shape_14.setTransform(-10.3,51.2,1.122,1);

	this.shape_15 = new cjs.Shape();
	this.shape_15.graphics.f("#CCCCCC").s().p("AkAAnIgTgVIgBgDQAAgPAKgDQAHgEAfgCQBxgIBxgYICWAAQBQABAkAoQAHAIAGAKIlSgCQgbAGhqANIg6AHIgEgDg");
	this.shape_15.setTransform(-92.7,42,1.122,0.297);

	this.shape_16 = new cjs.Shape();
	this.shape_16.graphics.f("#FFFFFF").s().p("AkZBoQAdgaAZgxQAZguAAgRQAAgdgjgZIgKgIIA6gHQBqgNAbgGIFSACQAMAVAAAbQAAAUgKAcIgVAwIgiBBIgBABIgPATQgHAHgHAEQmrgJgpAJQgLADgGAAQgQAAAVgTg");
	this.shape_16.setTransform(-93.3,46.1,1.122,0.297);

	this.shape_17 = new cjs.Shape();
	this.shape_17.graphics.f("#3333CC").s().p("Al3gIQAAgIgQgJIBAABIAgABIAgABIBFAAIAFABICJABIAaABIAaABIFYABIBTAAIADAHQABAGAAAFQAAAEgCAFQABAAAAABQAAAAAAAAQAAAAAAAAQgBABAAAAIgZAEQggAFhCABIiQAAIgFABIlKAAIgJgBIiJAAIg1AEIg6AAQA3gTAAgPg");
	this.shape_17.setTransform(-28.1,53.7,1.122,1);

	this.shape_18 = new cjs.Shape();
	this.shape_18.graphics.f("#333399").s().p("ACPBBIgJAAIgQgCIgDAAIgVgBQgsgDhGgCIhGAAIgdACIgiAAIh0gBIgOgBIgOgBIgZADIgjAFIhaAAQgHAAgDgDQgBgCgBgEQAAgCA5gQIADAAIA5gBIA1gDICKAAIAIABIFKAAIAGgBICQAAQBCgBAggFIAYgEQgDAHgJAKIgCADIgBABIgBAAIgBABIgBABQgNAOgPADIhlABIgTABIgiAAIgGAAgAF3gHIlZAAIgbgBIgYgBIiJgBIgFgBIhFAAIgggCIgggBIhAgBIgCgBIgXgJQgogLAAgCIABgDIACgDQADgCALgDIBHgBIBHgEQAxgEAigBIC/gCIApgBIBPgCIAAAAIC7AAQAgAAAZAFIACAAIAjALIAMAGIACABIABAAIAGAEIACACIAHAGIAJAIQAGAHADAHIhSAAg");
	this.shape_18.setTransform(-31.6,52.7,1.122,1);

	this.shape_19 = new cjs.Shape();
	this.shape_19.graphics.f("#993300").s().p("Ah9AAIgWAAIACAAIAQAAIAJAAgAAvAAIBlAAIgDAAIh1AAIATAAg");
	this.shape_19.setTransform(-1.9,59.2,1.122,1);

	this.shape_20 = new cjs.Shape();
	this.shape_20.graphics.f("#CCCCCC").s().p("AkAAnIgTgVIgBgDQAAgPAKgDQAHgEAfgCQBxgIBxgYICWAAQBQABAkAoQAHAIAGAKIlSgCQgbAGhqANIg6AHIgEgDg");
	this.shape_20.setTransform(-84.2,49.9,1.122,0.297);

	this.shape_21 = new cjs.Shape();
	this.shape_21.graphics.f("#FFFFFF").s().p("AkZBoQAdgaAZgxQAZguAAgRQAAgdgjgZIgKgIIA6gHQBqgNAbgGIFSACQAMAVAAAbQAAAUgKAcIgVAwIgiBBIgBABIgPATQgHAHgHAEQmrgJgpAJQgLADgGAAQgQAAAVgTg");
	this.shape_21.setTransform(-84.8,54.1,1.122,0.297);

	this.addChild(this.shape_21,this.shape_20,this.shape_19,this.shape_18,this.shape_17,this.shape_16,this.shape_15,this.shape_14,this.shape_13,this.shape_12,this.shape_11,this.shape_10,this.shape_9,this.shape_8,this.shape_7,this.shape_6,this.shape_5,this.shape_4,this.shape_3,this.shape_2,this.shape_1,this.shape);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-126.3,11.8,146.7,47.5);
p.frameBounds = [rect];


(lib.drag_7 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap8();

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,69,67);
p.frameBounds = [rect];


(lib.drag_6 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap7();

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,190,148);
p.frameBounds = [rect];


(lib.drag_5 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap6();

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,176,116);
p.frameBounds = [rect];


(lib.drag_4 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap5();

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,170,86);
p.frameBounds = [rect];


(lib.drag_3 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap4();

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,85,167);
p.frameBounds = [rect];


(lib.drag_2 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap3();

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,76,123);
p.frameBounds = [rect];


(lib.drag_1 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap2();

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,224,103);
p.frameBounds = [rect];


(lib.exerciseContainer = function(mode,startPosition,loop) {
if (loop == null) { loop = false; }	this.initialize(mode,startPosition,loop,{});

	// timeline functions:
	this.frame_0 = function() {
		/* Sortowanie */
		var config = {
			id: '1239',
			title: 'Uporządkuj biurko, zabierając z niego przedmioty służące do zabawy. Przedmioty do zabawy umieść w koszu na zabawki.',
			type: 'drag',
			container: this,
			/*
			groups: {		
				1: [1,2,3,4],
				2: [5,6],
				3: [7,8]
			},
			*/
			prefix: 'drag_',
			prefix2: 'drop_',
			results: [
				/*drop_1:*/ '2|4|5|6|7',
				/*drop_2:*/ '2|4|5|6|7',
				/*drop_3:*/ '2|4|5|6|7',
				/*drop_4:*/ '2|4|5|6|7',
				/*drop_5:*/ '2|4|5|6|7',
			],
			range: 20,
			alpha: 0,
			alpha2: 0,
			scale: 0.8,
			//zindex: 0
		}
		
		exerciseOnInit(config);
		
		this.stop();
		
		/* Help */
		
		/* 
		id - Id cwiczenia
		title - Tytul cwiczenia
		type - Typ Cwiczenia
		contanier - Kontener cwiczenia
		groups - Lista grup oraz przypisane do nich identyfikatory (unikatowa liczba) obiektow bez prefixow
		prefix - Prefixy w nazwach obiektow
		results - Rozwiazanie jako tablica identyfikatorow. Znak '|' definuje alternatywe, a '&' oznacza sume.	
		Przyklad:
		Cwiczenie typu sort.
		Odpowiedzi: [5,2,1,4,5] - tablica z ulozonymi w odpowiedniej kolejnisci identyfikatorami obiektow sortowanych.
		Cwiczenie typu drag.
		Odpowiedzi: [5,1|3,2&4] - tablica z id obiektow przeciaganych lub grup. W tym wariancie kazdy kolejny element z indexem 'i' w tablicy odpowiada targetowi o nazwie 'prefix+i'.
		np. prawidlowa odpowiedzia dla drop_1 jest obiekt drag_5, dla drop_2 obiekt drag_1 lub drag_3, dla drop_3 obiekt drag_2 oraz drag_4.
		range - Zakres dociagania
		alpha - Przezroczystosc targetu
		alpha2 - Przezroczystosc targetu po najechaniu
		scale - Skalowanie obiektu po upuszczeniu
		zindex - Warstwa obiektu
		*/
	}

	// actions tween:
	this.timeline.addTween(cjs.Tween.get(this).call(this.frame_0).wait(1));

	// mis
	this.instance = new lib.Bitmap9();
	this.instance.setTransform(1252.6,630.1);

	this.timeline.addTween(cjs.Tween.get(this.instance).wait(1));

	// drop_5
	this.drop_5 = new lib.drop();
	this.drop_5.setTransform(1242.9,747.7,1,1,0,0,0,240.6,250);
	this.drop_5.alpha = 0;

	this.timeline.addTween(cjs.Tween.get(this.drop_5).wait(1));

	// drop_4
	this.drop_4 = new lib.drop();
	this.drop_4.setTransform(1124.8,745.7,1,1,0,0,0,122.5,248);
	this.drop_4.alpha = 0;

	this.timeline.addTween(cjs.Tween.get(this.drop_4).wait(1));

	// drop_3
	this.drop_3 = new lib.drop();
	this.drop_3.setTransform(1244.9,589.7,1,1,0,0,0,242.6,92);
	this.drop_3.alpha = 0;

	this.timeline.addTween(cjs.Tween.get(this.drop_3).wait(1));

	// drop_2
	this.drop_2 = new lib.drop();
	this.drop_2.setTransform(1122.8,599.7,1,1,0,0,0,120.5,102);
	this.drop_2.alpha = 0;

	this.timeline.addTween(cjs.Tween.get(this.drop_2).wait(1));

	// drop
	this.drop_1 = new lib.drop();
	this.drop_1.setTransform(1166.8,671.7,1,1,0,0,0,164.5,174);
	this.drop_1.alpha = 0;

	this.timeline.addTween(cjs.Tween.get(this.drop_1).wait(1));

	// drop
	this.instance_1 = new lib.drop();
	this.instance_1.setTransform(1166.8,671.7,1,1,0,0,0,164.5,174);

	this.timeline.addTween(cjs.Tween.get(this.instance_1).wait(1));

	// content
	this.drag_6 = new lib.drag_6();
	this.drag_6.setTransform(954.2,282.6,1,1,0,0,0,95,74);

	this.drag_7 = new lib.drag_7();
	this.drag_7.setTransform(1036.8,320.1,1,1,0,0,0,34.5,33.5);

	this.drag_5 = new lib.drag_5();
	this.drag_5.setTransform(796,299.4,1,1,0,0,0,88,58);

	this.drag_4 = new lib.drag_4();
	this.drag_4.setTransform(680.2,313.6,1,1,0,0,0,85,43);

	this.drag_3 = new lib.drag_3();
	this.drag_3.setTransform(529.1,272.8,1,1,0,0,0,42.5,83.5);

	this.drag_2 = new lib.drag_2();
	this.drag_2.setTransform(436.9,297.9,1,1,0,0,0,38,61.5);

	this.drag_1 = new lib.drag_1();
	this.drag_1.setTransform(323.7,308.4,1,1,0,0,0,112,51.5);

	this.drag_8 = new lib.drag_8();
	this.drag_8.setTransform(1013.8,297.8);

	this.instance_2 = new lib.Bitmap1();

	this.timeline.addTween(cjs.Tween.get({}).to({state:[{t:this.instance_2},{t:this.drag_8},{t:this.drag_1},{t:this.drag_2},{t:this.drag_3},{t:this.drag_4},{t:this.drag_5},{t:this.drag_7},{t:this.drag_6}]}).wait(1));

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = rect = new cjs.Rectangle(0,0,1448.6,936);
p.frameBounds = [rect];

})(lib = lib||{}, images = images||{}, createjs = createjs||{});
var lib, images, createjs;